Index: /LMDZ5/trunk/libf/dyn3dpar/dudv2_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/dudv2_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/dudv2_p.F	(revision 2600)
@@ -25,5 +25,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 
       REAL teta( ip1jmp1,llm ),pkf( ip1jmp1,llm ) ,bern( ip1jmp1,llm ),
Index: /LMDZ5/trunk/libf/dyn3dpar/dynetat0.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/dynetat0.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/dynetat0.F	(revision 2600)
@@ -9,6 +9,8 @@
 
       use control_mod, only : planet_type
+      USE comvert_mod, ONLY: pa,preff
       USE comconst_mod, ONLY: cpp, daysec, dtvr, g, im, jm, kappa,
      &                        lllm, omeg, rad
+
       USE serre_mod, ONLY: clon,clat,grossismx,grossismy
 
@@ -33,5 +35,4 @@
 #include "paramet.h"
 #include "temps.h"
-#include "comvert.h"
 #include "comgeom2.h"
 #include "ener.h"
Index: /LMDZ5/trunk/libf/dyn3dpar/dynredem.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/dynredem.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/dynredem.F	(revision 2600)
@@ -9,4 +9,6 @@
       USE infotrac
       use netcdf95, only: NF95_PUT_VAR
+      USE comvert_mod, ONLY: ap,bp,aps,bps,presnivs,pseudoalt,pa,preff,
+     &                        nivsig,nivsigs
       USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
       USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy,
@@ -21,5 +23,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom2.h"
 #include "temps.h"
@@ -481,5 +482,4 @@
 #include "description.h"
 #include "netcdf.inc"
-#include "comvert.h"
 #include "comgeom.h"
 #include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3dpar/dynredem_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/dynredem_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/dynredem_p.F	(revision 2600)
@@ -10,4 +10,6 @@
       USE infotrac
       use netcdf95, only: NF95_PUT_VAR
+      USE comvert_mod, ONLY: ap,bp,aps,bps,presnivs,pseudoalt,pa,preff,
+     &                        nivsig,nivsigs
       USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
       USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy,
@@ -22,5 +24,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom2.h"
 #include "temps.h"
@@ -482,5 +483,4 @@
 #include "description.h"
 #include "netcdf.inc"
-#include "comvert.h"
 #include "comgeom.h"
 #include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3dpar/exner_hyb_p_m.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/exner_hyb_p_m.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/exner_hyb_p_m.F90	(revision 2600)
@@ -34,9 +34,9 @@
     USE parallel_lmdz
     USE comconst_mod, ONLY: cpp, kappa, r, jmp1
+    USE comvert_mod, ONLY: preff
     !
     include "dimensions.h"
     include "paramet.h"
     include "comgeom.h"
-    include "comvert.h"
 
     INTEGER  ngrid
Index: /LMDZ5/trunk/libf/dyn3dpar/exner_milieu_p_m.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/exner_milieu_p_m.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/exner_milieu_p_m.F90	(revision 2600)
@@ -31,9 +31,9 @@
     USE parallel_lmdz
     USE comconst_mod, ONLY: cpp, kappa, r, jmp1
+    USE comvert_mod, ONLY: preff
     !
     include "dimensions.h"
     include "paramet.h"
     include "comgeom.h"
-    include "comvert.h"
 
     INTEGER  ngrid
Index: /LMDZ5/trunk/libf/dyn3dpar/fluxstokenc_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/fluxstokenc_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/fluxstokenc_p.F	(revision 2600)
@@ -21,5 +21,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom.h"
 #include "tracstoke.h"
Index: /LMDZ5/trunk/libf/dyn3dpar/gcm.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/gcm.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/gcm.F	(revision 2600)
@@ -68,5 +68,4 @@
 #include "paramet.h"
 #include "comdissnew.h"
-#include "comvert.h"
 #include "comgeom.h"
 #include "logic.h"
Index: /LMDZ5/trunk/libf/dyn3dpar/geopot_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/geopot_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/geopot_p.F	(revision 2600)
@@ -28,5 +28,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 
 c   Arguments:
Index: /LMDZ5/trunk/libf/dyn3dpar/groupe_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/groupe_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/groupe_p.F	(revision 2600)
@@ -18,5 +18,4 @@
 #include "paramet.h"
 #include "comgeom2.h"
-#include "comvert.h"
 
 !     integer ngroup
Index: /LMDZ5/trunk/libf/dyn3dpar/guide_p_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/guide_p_mod.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/guide_p_mod.F90	(revision 2600)
@@ -340,4 +340,5 @@
     USE control_mod
     USE comconst_mod, ONLY: daysec, dtvr, cpp, kappa
+    USE comvert_mod, ONLY: ap, bp, preff, presnivs, pressure_exner
     
     IMPLICIT NONE
@@ -345,5 +346,4 @@
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"
-    INCLUDE "comvert.h"
 
     ! Variables entree
@@ -707,9 +707,9 @@
   USE Bands
   USE comconst_mod, ONLY: cpp, kappa
+  USE comvert_mod, ONLY: preff, pressure_exner, bp, ap
   IMPLICIT NONE
 
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "comgeom2.h"
 
@@ -1814,4 +1814,5 @@
     USE parallel_lmdz
     USE comconst_mod, ONLY: pi
+    USE comvert_mod, ONLY: presnivs
     IMPLICIT NONE
 
@@ -1820,5 +1821,4 @@
     INCLUDE "netcdf.inc"
     INCLUDE "comgeom2.h"
-    INCLUDE "comvert.h"
     
     ! Variables entree
Index: /LMDZ5/trunk/libf/dyn3dpar/iniacademic.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/iniacademic.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/iniacademic.F90	(revision 2600)
@@ -17,4 +17,5 @@
   use exner_milieu_m, only: exner_milieu
   USE comconst_mod, ONLY: cpp, kappa, g, daysec, dtvr, pi, im, jm
+  USE comvert_mod, ONLY: ap, bp, preff, presnivs, pressure_exner
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -29,5 +30,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "comgeom.h"
   include "academic.h"
Index: /LMDZ5/trunk/libf/dyn3dpar/initdynav_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/initdynav_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/initdynav_p.F	(revision 2600)
@@ -13,4 +13,5 @@
        USE infotrac
        USE comconst_mod, ONLY: pi
+       USE comvert_mod, ONLY: nivsigs
 
       implicit none
@@ -44,5 +45,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom.h"
 #include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3dpar/initfluxsto_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/initfluxsto_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/initfluxsto_p.F	(revision 2600)
@@ -14,4 +14,5 @@
        use misc_mod
        USE comconst_mod, ONLY: pi
+       USE comvert_mod, ONLY: nivsigs
        
       implicit none
@@ -46,5 +47,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom.h"
 #include "temps.h"
@@ -105,6 +105,6 @@
       CALL ymds2ju(zan, 1, idayref, 0.0, zjulian)
       tau0 = itau_dyn
-	
-	do jj = 1, jjp1
+        
+        do jj = 1, jjp1
         do ii = 1, iip1
           rlong(ii,jj) = rlonu(ii) * 180. / pi
@@ -164,6 +164,6 @@
      .             1, iip1, 1, jjn,tau0, zjulian, tstep, vhoriid,
      .             filevid,dynv_domain_id)
-	
-      rl(1,1) = 1.	
+        
+      rl(1,1) = 1.        
       
       if (mpi_rank==0) then
@@ -190,5 +190,5 @@
       call histhori(fileid, iip1, rlong(:,jjb:jje),jjn,rlat(:,jjb:jje),
      .             'scalar','Grille points scalaires', thoriid)
-	
+        
 C
 C  Appel a histvert pour la grille verticale
@@ -210,6 +210,6 @@
 C
 C  Appels a histdef pour la definition des variables a sauvegarder
-	
-	CALL histdef(fileid, "phis", "Surface geop. height", "-",
+        
+        CALL histdef(fileid, "phis", "Surface geop. height", "-",
      .                iip1,jjn,thoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
@@ -218,8 +218,8 @@
      .                iip1,jjn,thoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
-	
+        
         if (mpi_rank==0) then
-	
-	CALL histdef(filedid, "dtvr", "tps dyn", "s",
+        
+        CALL histdef(filedid, "dtvr", "tps dyn", "s",
      .                1,1,dhoriid, 1,1,1, -99, 32,
      .                "once", t_ops, t_wrt)
@@ -288,5 +288,5 @@
         if (mpi_rank==0) call histsync(filedid)
       endif
-	
+        
 #else
       write(lunout,*)'initfluxsto_p: Needs IOIPSL to function'
Index: /LMDZ5/trunk/libf/dyn3dpar/inithist_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/inithist_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/inithist_p.F	(revision 2600)
@@ -14,4 +14,5 @@
        USE infotrac
        USE comconst_mod, ONLY: pi
+       USE comvert_mod, ONLY: nivsigs
 
       implicit none
@@ -46,5 +47,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom.h"
 #include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3dpar/integrd_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/integrd_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/integrd_p.F	(revision 2600)
@@ -8,4 +8,5 @@
       USE control_mod, only : planet_type
       USE comconst_mod, ONLY: pi
+      USE comvert_mod, ONLY: ap, bp
       IMPLICIT NONE
 
@@ -29,5 +30,4 @@
 #include "paramet.h"
 #include "comgeom.h"
-#include "comvert.h"
 #include "logic.h"
 #include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3dpar/leapfrog_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/leapfrog_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/leapfrog_p.F	(revision 2600)
@@ -28,4 +28,5 @@
      &                       periodav, ok_dyn_ave, output_grads_dyn,
      &                       iapp_tracvl
+       USE comvert_mod, ONLY: ap,bp,pressure_exner,presnivs
        USE comconst_mod, ONLY: cpp, dtvr, ihf, dtphys, pi, jmp1
       IMPLICIT NONE
@@ -65,5 +66,4 @@
 #include "paramet.h"
 #include "comdissnew.h"
-#include "comvert.h"
 #include "comgeom.h"
 #include "logic.h"
@@ -1454,15 +1454,15 @@
                 call Gather_Field(teta,ip1jmp1,llm,0)
                 call Gather_Field(pk,ip1jmp1,llm,0)
-		call Gather_Field(phi,ip1jmp1,llm,0)
+                call Gather_Field(phi,ip1jmp1,llm,0)
                 do iq=1,nqtot
                   call Gather_Field(q(1,1,iq),ip1jmp1,llm,0)
                 enddo
-		call Gather_Field(masse,ip1jmp1,llm,0)
+                call Gather_Field(masse,ip1jmp1,llm,0)
                 call Gather_Field(ps,ip1jmp1,1,0)
-		call Gather_Field(phis,ip1jmp1,1,0)
+                call Gather_Field(phis,ip1jmp1,1,0)
                 if (mpi_rank==0) then
                  CALL writedynav(itau,vcov,
      &                 ucov,teta,pk,phi,q,masse,ps,phis)
-		endif
+                endif
 #endif
 !$OMP END MASTER
@@ -1476,5 +1476,5 @@
             IF( MOD(itau,iecri).EQ.0) THEN
              ! Ehouarn: output only during LF or Backward Matsuno
-	     if (leapf.or.(.not.leapf.and.(.not.forward))) then
+             if (leapf.or.(.not.leapf.and.(.not.forward))) then
 c$OMP BARRIER
 c$OMP MASTER
@@ -1514,14 +1514,14 @@
                 call Gather_Field(ucov,ip1jmp1,llm,0)
                 call Gather_Field(teta,ip1jmp1,llm,0)
-		call Gather_Field(phi,ip1jmp1,llm,0)
+                call Gather_Field(phi,ip1jmp1,llm,0)
                 do iq=1,nqtot
                   call Gather_Field(q(1,1,iq),ip1jmp1,llm,0)
                 enddo
-		call Gather_Field(masse,ip1jmp1,llm,0)
+                call Gather_Field(masse,ip1jmp1,llm,0)
                 call Gather_Field(ps,ip1jmp1,1,0)
-		call Gather_Field(phis,ip1jmp1,1,0)
+                call Gather_Field(phis,ip1jmp1,1,0)
                 if (mpi_rank==0) then
-	         CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
-		endif
+                 CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
+                endif
 !              CALL writehist_p(histid,histvid, itau,vcov, 
 !     &                         ucov,teta,phi,q,masse,ps,phis)
@@ -1649,15 +1649,15 @@
                 call Gather_Field(teta,ip1jmp1,llm,0)
                 call Gather_Field(pk,ip1jmp1,llm,0)
-		call Gather_Field(phi,ip1jmp1,llm,0)
+                call Gather_Field(phi,ip1jmp1,llm,0)
                 do iq=1,nqtot
                   call Gather_Field(q(1,1,iq),ip1jmp1,llm,0)
                 enddo
-		call Gather_Field(masse,ip1jmp1,llm,0)
+                call Gather_Field(masse,ip1jmp1,llm,0)
                 call Gather_Field(ps,ip1jmp1,1,0)
-		call Gather_Field(phis,ip1jmp1,1,0)
+                call Gather_Field(phis,ip1jmp1,1,0)
                 if (mpi_rank==0) then
                  CALL writedynav(itau,vcov,
      &                 ucov,teta,pk,phi,q,masse,ps,phis)
-		endif
+                endif
 #endif
 !$OMP END MASTER
@@ -1705,14 +1705,14 @@
                 call Gather_Field(ucov,ip1jmp1,llm,0)
                 call Gather_Field(teta,ip1jmp1,llm,0)
-		call Gather_Field(phi,ip1jmp1,llm,0)
+                call Gather_Field(phi,ip1jmp1,llm,0)
                 do iq=1,nqtot
                   call Gather_Field(q(1,1,iq),ip1jmp1,llm,0)
                 enddo
-		call Gather_Field(masse,ip1jmp1,llm,0)
+                call Gather_Field(masse,ip1jmp1,llm,0)
                 call Gather_Field(ps,ip1jmp1,1,0)
-		call Gather_Field(phis,ip1jmp1,1,0)
+                call Gather_Field(phis,ip1jmp1,1,0)
                 if (mpi_rank==0) then
                  CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
-		endif
+                endif
 !                CALL writehist_p(histid, histvid, itau,vcov , 
 !     &                           ucov,teta,phi,q,masse,ps,phis)
Index: /LMDZ5/trunk/libf/dyn3dpar/qminimum_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/qminimum_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/qminimum_p.F	(revision 2600)
@@ -8,5 +8,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 c
       INTEGER nq
Index: /LMDZ5/trunk/libf/dyn3dpar/sw_case_williamson91_6.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/sw_case_williamson91_6.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/sw_case_williamson91_6.F	(revision 2600)
@@ -27,4 +27,6 @@
 c=======================================================================
       USE comconst_mod, ONLY: cpp, omeg, rad
+      USE comvert_mod, ONLY: ap, bp, preff
+      
       IMPLICIT NONE
 c-----------------------------------------------------------------------
@@ -34,5 +36,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom.h"
 #include "iniprint.h"
Index: /LMDZ5/trunk/libf/dyn3dpar/top_bound_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/top_bound_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/top_bound_p.F	(revision 2600)
@@ -6,9 +6,10 @@
       USE comconst_mod, ONLY: iflag_top_bound, mode_top_bound,
      &                        tau_top_bound
+      USE comvert_mod, ONLY: presnivs, preff, scaleheight
+      
       IMPLICIT NONE
 c
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom2.h"
 
@@ -70,5 +71,5 @@
       REAL uzon(jjp1,llm),vzon(jjm,llm),tzon(jjp1,llm)
       
-      integer i	
+      integer i
       REAL,SAVE :: rdamp(llm) ! quenching coefficient
       real,save :: lambda(llm) ! inverse or quenching time scale (Hz)
Index: /LMDZ5/trunk/libf/dyn3dpar/vitvert_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/vitvert_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/vitvert_p.F	(revision 2600)
@@ -2,4 +2,6 @@
 c
       USE parallel_lmdz
+      USE comvert_mod, ONLY: bp
+      
       IMPLICIT NONE
 
@@ -28,5 +30,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 
       REAL w(ip1jmp1,llm),convm(ip1jmp1,llm)
Index: /LMDZ5/trunk/libf/dyn3dpar/vlsplt_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/vlsplt_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/vlsplt_p.F	(revision 2600)
@@ -26,5 +26,4 @@
 #include "paramet.h"
 #include "logic.h"
-#include "comvert.h"
 
 c
@@ -208,5 +207,4 @@
 #include "paramet.h"
 #include "logic.h"
-#include "comvert.h"
 c
 c
@@ -543,5 +541,4 @@
 #include "paramet.h"
 #include "logic.h"
-#include "comvert.h"
 #include "comgeom.h"
 c
@@ -931,5 +928,4 @@
 #include "paramet.h"
 #include "logic.h"
-#include "comvert.h"
 c
 c
Index: /LMDZ5/trunk/libf/dyn3dpar/vlspltgen_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/vlspltgen_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/vlspltgen_p.F	(revision 2600)
@@ -34,5 +34,4 @@
 #include "paramet.h"
 #include "logic.h"
-#include "comvert.h"
 
 c
@@ -105,11 +104,11 @@
 
         
-	ijb=ij_begin-iip1
-	ije=ij_end+iip1
-	if (pole_nord) ijb=ij_begin
-	if (pole_sud) ije=ij_end
-	
+        ijb=ij_begin-iip1
+        ije=ij_end+iip1
+        if (pole_nord) ijb=ij_begin
+        if (pole_sud) ije=ij_end
+        
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK) 
-	DO l = 1, llm
+        DO l = 1, llm
          DO ij = ijb, ije
           tempe(ij) = teta(ij,l) * pk(ij,l) /cpp
@@ -191,17 +190,17 @@
 
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
 
 #ifdef _ADV_HALO        
-	  call vlx_p(zq(1,1,iq),pente_max,zm(1,1,iq),mu,
-     &	             ij_begin,ij_begin+2*iip1-1)
+          call vlx_p(zq(1,1,iq),pente_max,zm(1,1,iq),mu,
+     &                     ij_begin,ij_begin+2*iip1-1)
           call vlx_p(zq(1,1,iq),pente_max,zm(1,1,iq),mu,
      &               ij_end-2*iip1+1,ij_end)
 #else
-	  call vlx_p(zq(1,1,iq),pente_max,zm(1,1,iq),mu,
-     &	             ij_begin,ij_end)
+          call vlx_p(zq(1,1,iq),pente_max,zm(1,1,iq),mu,
+     &                     ij_begin,ij_end)
 #endif
 
@@ -215,5 +214,5 @@
           call VTe(VTHallo)
 c$OMP END MASTER
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
 
 #ifdef _ADV_HALO           
@@ -239,6 +238,6 @@
 c$OMP END MASTER 
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -261,8 +260,8 @@
 
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
 
 #ifdef _ADV_HALLO
@@ -270,5 +269,5 @@
      &               ij_begin+2*iip1,ij_end-2*iip1)
 #endif        
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
 #ifdef _ADV_HALLO
           call vlxqs_p(zq(1,1,iq),pente_max,zm(1,1,iq),mu,qsat,
@@ -276,6 +275,6 @@
 #endif    
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -301,18 +300,18 @@
 
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
         
           call vly_p(zq(1,1,iq),pente_max,zm(1,1,iq),mv)
   
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
       
           call vlyqs_p(zq(1,1,iq),pente_max,zm(1,1,iq),mv,qsat)
  
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -324,8 +323,8 @@
 
         if(iadv(iq) == 0) then 
-	  
-	  cycle 
-	
-	else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
+          
+          cycle 
+        
+        else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
 
 c$OMP BARRIER        
@@ -350,9 +349,9 @@
 c$OMP MASTER
           call VTe(VTHallo)
-c$OMP END MASTER	
-c$OMP BARRIER
-        else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+c$OMP END MASTER        
+c$OMP BARRIER
+        else
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -369,5 +368,5 @@
 c$OMP MASTER
       call VTe(VTHallo)
-c$OMP END MASTER	
+c$OMP END MASTER        
 
 c$OMP BARRIER
@@ -375,8 +374,8 @@
 
         if(iadv(iq) == 0) then
-	  
-	  cycle 
-	
-	else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
+          
+          cycle 
+        
+        else if (iadv(iq)==10 .or. iadv(iq)==14 ) then
 c$OMP BARRIER        
 
@@ -388,6 +387,6 @@
 c$OMP BARRIER        
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -414,18 +413,18 @@
 
         if(iadv(iq) == 0) then
-	
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+        
+          cycle 
+        
+        else if (iadv(iq)==10) then
         
           call vly_p(zq(1,1,iq),pente_max,zm(1,1,iq),mv)
   
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
       
           call vlyqs_p(zq(1,1,iq),pente_max,zm(1,1,iq),mv,qsat)
  
         else
-	
-	  stop 'vlspltgen_p : schema non parallelise'
+        
+          stop 'vlspltgen_p : schema non parallelise'
       
         endif
@@ -436,13 +435,13 @@
 
         if(iadv(iq) == 0) then 
-	  
-	  cycle 
-	
-	else if (iadv(iq)==10) then
+          
+          cycle 
+        
+        else if (iadv(iq)==10) then
         
           call vlx_p(zq(1,1,iq),pente_max,zm(1,1,iq),mu,
      &               ij_begin,ij_end)
   
-	else if (iadv(iq)==14) then
+        else if (iadv(iq)==14) then
       
           call vlxqs_p(zq(1,1,iq),pente_max,zm(1,1,iq),mu,qsat,
@@ -450,5 +449,5 @@
  
         else
-	
+        
           stop 'vlspltgen_p : schema non parallelise'
       
@@ -469,6 +468,6 @@
            DO ij=ijb,ije
 c             print *,'zq-->',ij,l,iq,zq(ij,l,iq)
-c	     print *,'q-->',ij,l,iq,q(ij,l,iq)
-	     q(ij,l,iq)=zq(ij,l,iq)
+c             print *,'q-->',ij,l,iq,q(ij,l,iq)
+             q(ij,l,iq)=zq(ij,l,iq)
            ENDDO
         ENDDO
Index: /LMDZ5/trunk/libf/dyn3dpar/vlspltqs_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/vlspltqs_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/vlspltqs_p.F	(revision 2600)
@@ -32,5 +32,4 @@
 #include "paramet.h"
 #include "logic.h"
-#include "comvert.h"
 
 c
@@ -237,5 +236,4 @@
 #include "paramet.h"
 #include "logic.h"
-#include "comvert.h"
 c
 c
@@ -589,5 +587,4 @@
 #include "paramet.h"
 #include "logic.h"
-#include "comvert.h"
 #include "comgeom.h"
 c
Index: /LMDZ5/trunk/libf/dyn3dpar/writedynav_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/writedynav_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/writedynav_p.F	(revision 2600)
@@ -43,5 +43,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom.h"
 #include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3dpar/writehist_p.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3dpar/writehist_p.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3dpar/writehist_p.F	(revision 2600)
@@ -43,5 +43,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 #include "comgeom.h"
 #include "temps.h"
Index: /LMDZ5/trunk/libf/dynphy_lonlat/calfis.F
===================================================================
--- /LMDZ5/trunk/libf/dynphy_lonlat/calfis.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dynphy_lonlat/calfis.F	(revision 2600)
@@ -35,4 +35,5 @@
 #endif 
       USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, kappa, pi
+      USE comvert_mod, ONLY: preff, presnivs
       
       IMPLICIT NONE
@@ -90,14 +91,13 @@
 c    ------------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "temps.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "temps.h"
 
       INTEGER ngridmx
       PARAMETER( ngridmx = 2+(jjm-1)*iim - 1/jjm   )
 
-#include "comvert.h"
-#include "comgeom2.h"
-#include "iniprint.h"
+      include "comgeom2.h"
+      include "iniprint.h"
 
 c    Arguments :
